{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "4244c488",
   "metadata": {},
   "source": [
    "# Тест по коллекциям #"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "302b4c7d",
   "metadata": {},
   "source": [
    "1. Выберите верные утверждения про списки:\n",
    "\n",
    "- [x] списки могут содержать элементы различных типов\n",
    "- [x] списки изменяемые\n",
    "- [x] проверка на вхождение элемента в список происходит за линейное время\n",
    "- [ ] списки неизменяемые\n",
    "- [ ] проверка на вхождение элемента в список происходит за константное время"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "1c801377",
   "metadata": {},
   "source": [
    "2. К чему приведет обращение к непустому списку по индексу \"-1\"?\n",
    "\n",
    "- [ ] Ошибка `IndexError`\n",
    "- [ ] Ошибка `KeyError`\n",
    "- [ ] Вернется первый элемент\n",
    "- [x] Вернется последний элемент"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "80eb70ce",
   "metadata": {},
   "source": [
    "3. Выберите верные утверждения про словари:\n",
    "\n",
    "- [x] поиск ключа в словаре происходит за константное время\n",
    "- [ ] поиск ключа в словаре происходит за линейное время\n",
    "- [x] словари изменяемые\n",
    "- [ ] словари неизменяемые"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "0143258b",
   "metadata": {},
   "source": [
    "4. Можно ли изменять список, находящийся внутри кортежа?\n",
    "\n",
    "- [x] Да\n",
    "- [ ] Нет"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "cace4fb3",
   "metadata": {},
   "source": [
    "5. В чем отличие стандартного метода списка `sort` и встроенное функции `sorted`?\n",
    "\n",
    "- [ ] `Sorted` сортирует исходный список, а `sort` возвращает новый\n",
    "- [x] `Sort` сортирует исходный список, а `sorted` возвращает новый\n",
    "- [ ] Отличий нет\n",
    "- [ ] Функции `sorted` не существует"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.8.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
